- [HTTP request](https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2beta1/projects.locations.agent.environments.users.sessions.contexts/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2beta1/projects.locations.agent.environments.users.sessions.contexts/delete#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2beta1/projects.locations.agent.environments.users.sessions.contexts/delete#body.request_body)
- [Response body](https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2beta1/projects.locations.agent.environments.users.sessions.contexts/delete#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2beta1/projects.locations.agent.environments.users.sessions.contexts/delete#body.aspect)
- [Try it!](https://docs.cloud.google.com/dialogflow/es/docs/reference/rest/v2beta1/projects.locations.agent.environments.users.sessions.contexts/delete#try-it)

Deletes the specified context.

### HTTP request

Choose an endpoint:
global   
`DELETE https://dialogflow.googleapis.com/v2beta1/{name=projects/*/locations/*/agent/environments/*/users/*/sessions/*/contexts/*}`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

**OR**

`DELETE https://{endpoint}/v2beta1/{name=projects/*/locations/*/agent/environments/*/users/*/sessions/*/contexts/*}`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/dialogflow/es/docs/reference/rest#rest_endpoints).

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the context to delete. Supported formats: - `projects/<Project ID>/agent/sessions/<Session ID>/contexts/<Context ID>`, - `projects/<Project ID>/locations/<Location ID>/agent/sessions/<Session ID>/contexts/<Context ID>`, - `projects/<Project ID>/agent/environments/<Environment ID>/users/<User ID>/sessions/<Session ID>/contexts/<Context ID>`, - `projects/<Project ID>/locations/<Location ID>/agent/environments/<Environment ID>/users/<User ID>/sessions/<Session ID>/contexts/<Context ID>`, If `Location ID` is not specified we assume default 'us' location. If `Environment ID` is not specified, we assume default 'draft' environment. If `User ID` is not specified, we assume default '-' user. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `dialogflow.contexts.delete` |

### Request body

The request body must be empty.

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/dialogflow`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).